summaryrefslogtreecommitdiffstats
path: root/scripts/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/build.sh')
-rwxr-xr-xscripts/build.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 1e64b5156..88437c765 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -174,7 +174,11 @@ if [ $BUILDMARBLE = 1 ]; then
mkdir -p build
cd build
if [ $PLATFORM = Darwin ] ; then
- if [ -d "$HOME/Qt/5.8" ] ; then
+ # qmake in PATH?
+ libdir=`qmake -query QT_INSTALL_LIBS`
+ if [ $? -eq 0 ]; then
+ export CMAKE_PREFIX_PATH=$libdir/cmake
+ elif [ -d "$HOME/Qt/5.8" ] ; then
export CMAKE_PREFIX_PATH=~/Qt/5.8/clang_64/lib/cmake
elif [ -d "$HOME/Qt/5.7" ] ; then
export CMAKE_PREFIX_PATH=~/Qt/5.7/clang_64/lib/cmake